Package org.opentcs.drivers.vehicle.management

# Class VehicleProcessModelTO

java.lang.Object
org.opentcs.drivers.vehicle.management.VehicleProcessModelTO

All Implemented Interfaces:
  `java.io.Serializable`

    public class VehicleProcessModelTO
    extends java.lang.Object
    implements java.io.Serializable

A serializable representation of a `VehicleProcessModel`.

See Also:
  Serialized Form

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `VehicleProcessModelTO()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `int` | `getEnergyLevel()` |
  `java.util.List<LoadHandlingDevice>` | `getLoadHandlingDevices()` |
  `java.util.Queue<UserNotification>` | `getNotifications()` |
  `double` | `getOrientationAngle()` |
  `Triple` | `getPrecisePosition()` |
  `java.lang.String` | `getVehicleName()` |
  `java.lang.String` | `getVehiclePosition()` |
  `Vehicle.State` | `getVehicleState()` |
  `boolean` | `isCommAdapterConnected()` |
  `boolean` | `isCommAdapterEnabled()` |
  `VehicleProcessModelTO` | `setCommAdapterConnected​(boolean commAdapterConnected)` |
  `VehicleProcessModelTO` | `setCommAdapterEnabled​(boolean commAdapterEnabled)` |
  `VehicleProcessModelTO` | `setEnergyLevel​(int energyLevel)` |
  `VehicleProcessModelTO` | `setLoadHandlingDevices​(java.util.List<LoadHandlingDevice> loadHandlingDevices)` |
  `VehicleProcessModelTO` | `setNotifications​(java.util.Queue<UserNotification> notifications)` |
  `VehicleProcessModelTO` | `setOrientationAngle​(double orientationAngle)` |
  `VehicleProcessModelTO` | `setPrecisePosition​(Triple precisePosition)` |
  `VehicleProcessModelTO` | `setVehicleName​(java.lang.String vehicleName)` |
  `VehicleProcessModelTO` | `setVehiclePosition​(java.lang.String vehiclePosition)` |
  `VehicleProcessModelTO` | `setVehicleState​(Vehicle.State state)` |

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### VehicleProcessModelTO

    public VehicleProcessModelTO()

- ## Method Details

  - ### getVehicleName

    public java.lang.String getVehicleName()

  - ### setVehicleName

    public VehicleProcessModelTO setVehicleName​(@Nonnull java.lang.String vehicleName)

  - ### isCommAdapterEnabled

    public boolean isCommAdapterEnabled()

  - ### setCommAdapterEnabled

    public VehicleProcessModelTO setCommAdapterEnabled​(boolean commAdapterEnabled)

  - ### isCommAdapterConnected

    public boolean isCommAdapterConnected()

  - ### setCommAdapterConnected

    public VehicleProcessModelTO setCommAdapterConnected​(boolean commAdapterConnected)

  - ### getVehiclePosition

    @Nullable public java.lang.String getVehiclePosition()

  - ### setVehiclePosition

    public VehicleProcessModelTO setVehiclePosition​(@Nullable java.lang.String vehiclePosition)

  - ### getNotifications

    @Nonnull public java.util.Queue<UserNotification> getNotifications()

  - ### setNotifications

    public VehicleProcessModelTO setNotifications​(@Nonnull java.util.Queue<UserNotification> notifications)

  - ### getPrecisePosition

    @Nullable public Triple getPrecisePosition()

  - ### setPrecisePosition

    public VehicleProcessModelTO setPrecisePosition​(@Nullable Triple precisePosition)

  - ### getOrientationAngle

    public double getOrientationAngle()

  - ### setOrientationAngle

    public VehicleProcessModelTO setOrientationAngle​(double orientationAngle)

  - ### getEnergyLevel

    public int getEnergyLevel()

  - ### setEnergyLevel

    public VehicleProcessModelTO setEnergyLevel​(int energyLevel)

  - ### getLoadHandlingDevices

    @Nonnull public java.util.List<LoadHandlingDevice> getLoadHandlingDevices()

  - ### setLoadHandlingDevices

    public VehicleProcessModelTO setLoadHandlingDevices​(@Nonnull java.util.List<LoadHandlingDevice> loadHandlingDevices)

  - ### getVehicleState

    @Nonnull public Vehicle.State getVehicleState()

  - ### setVehicleState

    public VehicleProcessModelTO setVehicleState​(@Nonnull Vehicle.State state)